## apt-dater-host 1.0.0

=== dpkg/Makefile ===
clean:
	

install:
	mkdir -p $(DESTDIR)/usr/bin
	cp apt-dater-host $(DESTDIR)/usr/bin
	
	mkdir -p $(DESTDIR)/etc
	cp apt-dater-host.conf $(DESTDIR)/etc
	
	mkdir -p $(DESTDIR)/etc/kernel/postinst.d
	cp scripts/apt-dater-host_reboot $(DESTDIR)/etc/kernel/postinst.d
	
	mkdir -p $(DESTDIR)/etc/apt/apt.conf.d
	cp scripts/99apt-dater-host_periodic $(DESTDIR)/etc/apt/apt.conf.d

	mkdir -p $(DESTDIR)/etc/sudoers.d
	cp scripts/apt-dater-host $(DESTDIR)/etc/sudoers.d/
	chown 0440 $(DESTDIR)/etc/sudoers.d/apt-dater-host

=== debian/changelog ===
apt-dater-host (1.0.0-5) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Bump debian/compat to level 10.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Jul 2017 15:19:24 +0200

apt-dater-host (1.0.0-4) unstable; urgency=medium

  * Merge 1.0.0-2+deb8u1 changelog.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Fix capitalization error in package description of openSUSE.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 May 2016 21:12:43 +0200

apt-dater-host (1.0.0-3) unstable; urgency=medium

  * Merge 1.0.0-2~bpo70+1 changelog.
  * Add patch 01-jessie-kernel-detection to fix Linux Kernel status detection
    with newer Jessie images. Thanks to Robert Bihlmeyer.
    Closes: #794630

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 22 Sep 2015 09:57:36 +0200

apt-dater-host (1.0.0-2+deb8u1) stable; urgency=low

  * Add patch 01-jessie-kernel-detection to fix Linux Kernel status detection
    with newer Jessie images. Thanks to Robert Bihlmeyer.
    Closes: #794630

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Oct 2015 15:45:00 +0200

apt-dater-host (1.0.0-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Mar 2015 10:34:52 +0100

apt-dater-host (1.0.0-2) unstable; urgency=low

  * Move needrestart from depends to recommends.
    Closes: #764323

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Oct 2014 19:36:22 +0100

apt-dater-host (1.0.0-1) unstable; urgency=medium

  * Initial release.
    Closes: #762725
    - Upstream split apt-dater to apt-dater and apt-dater-host.
    - Detect updates for multi arch.
      Closes: #757329

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Sep 2014 08:57:46 +0200

=== debian/control ===
Source: apt-dater-host
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 10)
Homepage: http://www.ibh.de/apt-dater
Standards-Version: 4.0.0

Package: apt-dater-host
Architecture: all
Depends: ${perl:Depends},
 ${misc:Depends},
 openssh-server,
 lsb-release,
 libimvirt-perl,
 libapt-pkg-perl
Recommends: imvirt,
 needrestart,
 sudo
Description: host helper application for apt-dater
 apt-dater provides an easy to use ncurses frontend for managing package
 updates on a large number of remote hosts using SSH.
 It supports Debian-based managed hosts as well as openSUSE and CentOS based
 systems.
 .
 This package provides the helper application for apt-dater.
 It has to be installed on every apt-dater managed host.

## apt-dater-host 1.0.1

=== apk/Makefile ===
clean:

check:
	./test-apt-dater-host

install:
	install -D -m0755 apt-dater-host \
		$(DESTDIR)/usr/bin/apt-dater-host

	install -m0750 -d $(DESTDIR)/etc/sudoers.d
	install -m0640 apt-dater-host-sudoers \
		$(DESTDIR)/etc/sudoers.d/apt-dater-host

=== debian/changelog ===
apt-dater-host (1.0.1-6) unstable; urgency=medium

  * Adjust debian/watch to work again with GitHub.
  * Bump Standards-Version to 4.6.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Jan 2023 11:07:41 +0100

apt-dater-host (1.0.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust renamed lintian tag name in override.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:21 +0200

apt-dater-host (1.0.1-4) unstable; urgency=medium

  * debian/watch: Adjust github URL.
  * Bump Standards-Version to 4.6.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Oct 2021 09:39:43 +0200

apt-dater-host (1.0.1-3) unstable; urgency=medium

  * Adjust lintian overrides.
  * Update homepage field.
    Closes: #974675
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:56:14 +0100

apt-dater-host (1.0.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Move lintian-overrides file to source directory.
  * Adjust source lintian-overrides.
  * Overwrite lintian warning uses-dpkg-database-directly.
  * Set Rules-Requires-Root: no.
  * Fix lintian warning insecure-copyright-format-uri.
  * Fix renamed lintian tag.
  * Add patch 02-chmod-instead-of-chown to fix a FTBFS on pbuilder.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:32:38 +0100

apt-dater-host (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debian/compat to level 11.
  * Bump Standards-Version to 4.1.3 (no changes required).
  * Add README.md to docs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jan 2018 15:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 10)
-Homepage: http://www.ibh.de/apt-dater
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 13)
+Homepage: https://github.com/DE-IBH/apt-dater-host
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 
 Package: apt-dater-host
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	(cd dpkg && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater-host install)

=== debian/watch ===
version=4
https://github.com/DE-IBH/apt-dater-host/tags .*/v(\d\S+)\.tar\.gz
